Name:           stacer
Version:        1.1.0
Release:        6%{?dist}
Summary:        Linux system optimizer and monitoring

License:        GPLv3+
URL:            https://github.com/oguzhaninan/Stacer
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  qt5-linguist
BuildRequires:  pkgconfig(Qt5)
BuildRequires:  pkgconfig(Qt5Charts)
BuildRequires:  pkgconfig(Qt5Svg)

Requires:       hicolor-icon-theme

%description
Stacer is an open source system optimizer and application monitor that helps
users to manage entire system with different aspects, its an all in one system
utility.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    devel
The %{name}-devel package contains libraries files for developing applications
that use %{name}.

%prep
%autosetup -n Stacer-%{version}

%build
%qmake_qt5
%make_build
# Build translations
lrelease-qt5 stacer/stacer.pro

%install
mkdir   -p      %{buildroot}%{_libdir}/stacer
install -Dm755  stacer/stacer %{buildroot}%{_libdir}/stacer/stacer
mkdir   -p      %{buildroot}%{_bindir}
ln      -s      %{_libdir}/stacer/stacer %{buildroot}%{_bindir}/stacer
install -Dm755  stacer-core/libstacer-core.so.1.0.0 %{buildroot}%{_libdir}
ln      -s      'libstacer-core.so.1.0.0' %{buildroot}%{_libdir}/libstacer-core.so.1.0
ln      -s      'libstacer-core.so.1.0.0' %{buildroot}%{_libdir}/libstacer-core.so.1
ln      -s      'libstacer-core.so.1.0.0' %{buildroot}%{_libdir}/libstacer-core.so
mkdir   -p      %{buildroot}/usr/share/
cp      -ar     icons %{buildroot}%{_datadir}
install -Dm644  applications/stacer.desktop %{buildroot}%{_datadir}/applications/stacer.desktop
# Install translations
mkdir   -p      %{buildroot}%{_libdir}/stacer/translations
install -Dm644  translations/*qm %{buildroot}%{_libdir}/stacer/translations/
%find_lang %{name} --with-qt

%check
# https://github.com/oguzhaninan/Stacer/pull/283
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc README.md
%license LICENSE

%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/%{name}
%{_libdir}/libstacer-core.so.1*
# Translations files which rpm macros cant handle
%dir %{_libdir}/%{name}/translations
%{_libdir}/%{name}/translations/stacer_ca-es.qm
%{_libdir}/%{name}/translations/stacer_zh-cn.qm
%{_libdir}/%{name}/translations/stacer_zh-tw.qm

%files devel
%{_libdir}/libstacer-core.so

%changelog
* Fri May 17 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.1.0-6
- Initial package
